## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidateAccordingToURI

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, XMLValueFunctionValidateAccordingTo

    public interface XMLValueFunctionValidateAccordingToURI

extends XMLValueFunctionValidateAccordingTo

A representation of the model object 'XML Value Function Validate According To URI'.

The following features are supported:

- `No Namespace`
- `Target Namespace URI`
- `Schema Location URI`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI()`

Method Summary
`java.lang.String` `getSchemaLocationURI()` Returns the value of the 'Schema Location URI' attribute.
`java.lang.String` `getTargetNamespaceURI()` Returns the value of the 'Target Namespace URI' attribute.
`boolean` `isNoNamespace()` Returns the value of the 'No Namespace' attribute.
`void` `setNoNamespace(boolean value)` Sets the value of the '`No Namespace`' attribute.
`void` `setSchemaLocationURI(java.lang.String value)` Sets the value of the '`Schema Location URI`' attribute.
`void` `setTargetNamespaceURI(java.lang.String value)` Sets the value of the '`Target Namespace URI`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLValueFunctionValidateAccordingTo
`getValidateElement, getValueFunctionValidate, setValidateElement, setValueFunctionValidate`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isNoNamespace

    boolean isNoNamespace()

  Returns the value of the 'No Namespace' attribute. The default value is `"false"`.

  If the meaning of the 'No Namespace' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Namespace' attribute.
  See Also:
    `setNoNamespace(boolean)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI_NoNamespace()`

### setNoNamespace

    void setNoNamespace(boolean value)

  Sets the value of the '`No Namespace`' attribute.

  Parameters:
    `value` - the new value of the 'No Namespace' attribute.
  See Also:
    `isNoNamespace()`

### getTargetNamespaceURI

    java.lang.String getTargetNamespaceURI()

  Returns the value of the 'Target Namespace URI' attribute.

  If the meaning of the 'Target Namespace URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Namespace URI' attribute.
  See Also:
    `setTargetNamespaceURI(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI_TargetNamespaceURI()`

### setTargetNamespaceURI

    void setTargetNamespaceURI(java.lang.String value)

  Sets the value of the '`Target Namespace URI`' attribute.

  Parameters:
    `value` - the new value of the 'Target Namespace URI' attribute.
  See Also:
    `getTargetNamespaceURI()`

### getSchemaLocationURI

    java.lang.String getSchemaLocationURI()

  Returns the value of the 'Schema Location URI' attribute.

  If the meaning of the 'Schema Location URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema Location URI' attribute.
  See Also:
    `setSchemaLocationURI(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI_SchemaLocationURI()`

### setSchemaLocationURI

    void setSchemaLocationURI(java.lang.String value)

  Sets the value of the '`Schema Location URI`' attribute.

  Parameters:
    `value` - the new value of the 'Schema Location URI' attribute.
  See Also:
    `getSchemaLocationURI()`